update desired debian packages
[imager.git] / DynTest / DynTest.pm
1 package Imager::Filter::DynTest;
2 use strict;
3 use Imager;
4 use vars qw($VERSION @ISA);
5
6 BEGIN {
7   $VERSION = "0.02";
8   
9   require XSLoader;
10   XSLoader::load('Imager::Filter::DynTest', $VERSION);
11 }
12
13
14 sub _lin_stretch {
15   my %hsh = @_;
16
17   lin_stretch($hsh{image}, $hsh{a}, $hsh{b});
18 }
19
20 Imager->register_filter(type=>'lin_stretch',
21                         callsub => \&_lin_stretch,
22                         defaults => { a => 0, b => 255 },
23                         callseq => [ qw/image a b/ ]);
24
25 1;